Loading...
Searching...
No Matches
Ogre::StaticGeometry::QueuedGeometry Struct Reference

Structure recording a queued geometry for low level builds. More...

`#include <OgreStaticGeometry.h>`

Inheritance diagram for Ogre::StaticGeometry::QueuedGeometry:
[legend]

## Public Attributes

SubMeshLodGeometryLink * | geometry
Quaternion | orientation
Vector3 | position
Vector3 | scale

## Detailed Description

Structure recording a queued geometry for low level builds.

## Member Data Documentation

## geometry

SubMeshLodGeometryLink* Ogre::StaticGeometry::QueuedGeometry::geometry

## position

Vector3 Ogre::StaticGeometry::QueuedGeometry::position

## orientation

Quaternion Ogre::StaticGeometry::QueuedGeometry::orientation

## scale

Vector3 Ogre::StaticGeometry::QueuedGeometry::scale

The documentation for this struct was generated from the following file:

- OgreStaticGeometry.h